Organizations

Update the current organization

Updates the current organization's profile, regional defaults, and reply-to default and returns the saved organization.

PATCH
/v1/organizations/current

Updates the current organization's profile, regional defaults, and reply-to default and returns the saved organization. metadata is merged into the stored value; every other field is replaced.

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name?string|null
slug?string|null
defaultRegion?|null|null
timezone?IanaTimezone|null
isActive?boolean|null
metadata?|null
replyToDefault?array<string>|null|null
emailFooterEnabledDefault?boolean|null|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/organizations/current" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "billingAccountId": "string",  "name": "string",  "slug": "string",  "defaultRegion": "string",  "timezone": "string",  "plan": "string",  "isActive": true,  "createdAt": "string",  "updatedAt": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "replyToDefault": [    "string"  ],  "emailFooterEnabledDefault": true,  "messagesUsed": 0,  "messagesUsedThisMonth": 0,  "emailUsed": 0,  "emailUsedThisMonth": 0,  "contactsUsed": 0,  "conversationsUsed": 0,  "teamMembersUsed": 0,  "messagesResetAt": "string"}

Related documentation